Subject: Physically mapped FLASH

From: David Updegraff <[email-masked]>
Date: Wed, 22 Aug 2001 08:32:28 -0500

Hi.

Is there a reason why the physical-mapping setup (drivers/mtd/maps/physmap.c)
is coded to ONLY talk to CFI chips?  For example I have some 405gp things
that have AMD Flash chips that are physically mapped to the top of memory
and could be driven by the algorithms in drivers/mtd/chips/amd_flash.c.

I've patched it and it appears to work ok; is it a bad idea?  is it good idea?
Any interest in incorporating in?

--
Dave Updegraff / [email-masked] / 218-525-1154

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/